#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int N = 1e6 + 50;
bool in[N];
int ans, cnt;
int main()
{
    int n;
    scanf("%d", &n);
    while (n--)
    {
        char buf[3];
        int id;
        scanf("%s%d", buf, &id);
        if (*buf == '+')
        {
            in[id] = true;
            ans = max(ans, ++cnt);
        }
        if (*buf == '-')
        {
            if (in[id]) in[id] = false, cnt--;
            else ans++;
        }
    }
    printf("%d", ans);
    return 0;
}
